Bug 2034381 (CVE-2021-30887) - CVE-2021-30887 webkitgtk: Logic issue leading to Content Security Policy bypass
Summary: CVE-2021-30887 webkitgtk: Logic issue leading to Content Security Policy bypass
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-30887
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2034382 2036624 2036625
Blocks: 2034394
TreeView+ depends on / blocked
 
Reported: 2021-12-20 19:17 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-05-17 09:44 UTC (History)
4 users (show)

Fixed In Version: webkitgtk 2.34.3
Doc Type: If docs needed, set a value
Doc Text:
A logic issue was found in WebKitGTK. A specially crafted web content could use this flaw to bypass Content Security Policy bypass when processed.
Clone Of:
Environment:
Last Closed: 2022-05-10 21:15:36 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:1777 0 None None None 2022-05-10 13:23:19 UTC

Description Guilherme de Almeida Suckevicz 2021-12-20 19:17:52 UTC
A flaw was found in WebKitGTK. A logic issue was addressed with improved restrictions.

References:
https://webkitgtk.org/security/WSA-2021-0007.html
https://www.openwall.com/lists/oss-security/2021/12/20/6

Comment 1 Guilherme de Almeida Suckevicz 2021-12-20 19:18:12 UTC
Created webkit2gtk3 tracking bugs for this issue:

Affects: fedora-all [bug 2034382]

Comment 3 errata-xmlrpc 2022-05-10 13:23:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1777 https://access.redhat.com/errata/RHSA-2022:1777

Comment 4 Product Security DevOps Team 2022-05-10 21:15:34 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-30887


Note You need to log in before you can comment on or make changes to this bug.